Package org.italiangrid.voms.request

# Interface VOMSProtocol

All Known Implementing Classes:
  `AbstractVOMSProtocol`, `LegacyProtocol`, `RESTProtocol`

public interface VOMSProtocol
The request/response protocol for VOMS, with a methods accepting a rerquest and returning a response.

Author:
  valerioventuri

## Method Summary

Modifier and Type
Method
Description
`VOMSResponse`
`doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)`
Makes a request, get the response.

## Method Details

### doRequest

VOMSResponse doRequest(VOMSServerInfo endpoint, eu.emi.security.authn.x509.X509Credential credential, VOMSACRequest request)
Makes a request, get the response.

Parameters:
  `endpoint` - the voms server endpoint information
  `credential` - the credentials.
  `request` - the request.
Returns:
  a `VOMSResponse` containing the response.